Create MCP Server Tool Association
curl --request POST \
--url https://api.example.com/servers/{id}/tools \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"tool": {
"serverID": "kSuB9Gf6aD4",
"providerID": "kSuB9Gf6aD4",
"toolID": "kSuB9Gf6aD4"
}
}
'import requests
url = "https://api.example.com/servers/{id}/tools"
payload = { "tool": {
"serverID": "kSuB9Gf6aD4",
"providerID": "kSuB9Gf6aD4",
"toolID": "kSuB9Gf6aD4"
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
tool: {serverID: 'kSuB9Gf6aD4', providerID: 'kSuB9Gf6aD4', toolID: 'kSuB9Gf6aD4'}
})
};
fetch('https://api.example.com/servers/{id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"tool": {
"serverID": "kSuB9Gf6aD4",
"providerID": "kSuB9Gf6aD4",
"toolID": "kSuB9Gf6aD4"
}
}Server Tools
Create MCP Server Tool Association
POST
/
servers
/
{id}
/
tools
Create MCP Server Tool Association
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
MCP Server ID
Body
application/json
Show child attributes
Show child attributes
Response
201 - application/json
Tool associated
Show child attributes
Show child attributes
⌘I